(josh/add-to-capture '("c" "Chinese Word" entry
		       (file+headline "~/reading/skip/chinese.org" "Words")
		       "* <[%(josh/chinese-prompt)]> :drill:
 Added: %U
Definition:
%(josh/chinese-get-definition (josh/chinese-dict-find josh/chinese-word))
** Characters
%(josh/chinese-get-word josh/chinese-word-dict)
** Pronunciation
%(josh/chinese-get-pronunciation josh/chinese-word-dict)
** Cangjie
%(josh/chinese-cangjie-codes josh/chinese-words)
"))


(defun josh/add-to-capture (template)
  (let ((key (car template)))
    (setq org-capture-templates
	  (delete-if (lambda (x) (equal (car x) key)) org-capture-templates))
    (add-to-list 'org-capture-templates
                 template)))
